
QGIS Application - Bug report #4708

scale bar in composer reverts to 2 right segments after save & re-opening of QGIS.

2011-12-28 08:27 AM - Benoit de Cabissole

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14592

Description

Open a QGIS project with few layers. Add a map in a composer page to display some layers from the main QGIS interface. Add a scale

bar to it. Then set the number of right segments to 3. Close the composer and save your project. Exit QGIS. Re-open your project and

display the composer page you've just created. The number of right segments of the scale bar is now 2, not 3 as originally drawn! Also

tested with 4 segments, on re-opening QGIS then the composer, the number of segments revert to 2.

Causes data corruption: the scale bar is messed up.

I've noticed it in QGIS 1.9.90-Alpha, revision cc15cdd, and can't remember if earlier versions had this bug.

History

#1 - 2011-12-28 08:47 AM - Giovanni Manghi

- Category changed from Project Loading/Saving to 33

- Crashes QGIS or corrupts data changed from Yes to No

- OS version deleted (7)

- Operating System deleted (Windows)

- Assignee set to Marco Hugentobler

The bug is confirmed also under Linux/qgis-master, but it does not causes any data corruption.

#2 - 2012-01-12 01:52 AM - James Stott

I get the behaviour where a double box scale bar with two segments does either one of the following when you reopen a project:

1) The segment size of the scale bar sets itself to zero

2) The segment size changes to something larger than it was originally set to.

Using Windows 1.9.90 revision 2b739d9

#3 - 2012-01-21 08:25 AM - Marco Hugentobler

- Status changed from Open to Resolved

I believe this was fixed some days ago (there was another bug about composer scalebar reset to default values) and I cannot reproduce it anymore.

Therefore I'm closing this bug. Feel free to reopen if you think there is still a problem.
#4 - 2012-04-23 02:39 AM - Giovanni Manghi

- Status changed from Resolved to Closed

- Resolution set to fixed
